#### D.5.17.9 makeSheaf

Procedure from library `schubert.lib` (see schubert_lib).

Usage:
  makeSheaf(V,ch); V variety, ch poly

Return:
  sheaf

Theory:
  create a sheaf on an abstract variety, and its Chern character is the polynomial ch.

Example:

    LIB "schubert.lib";
    variety X;
    X.dimension = 4;
    ring r = 0,(c(1..2),d(1..3)),wp(1..2,1..3);
    setring r;
    X.baseRing = r;
    poly c = 1 + c(1) + c(2);
    poly ch = 2 + logg(c,4);
    sheaf S = makeSheaf(X,ch);
    S;
    ==> A sheaf of rank  2
    ==>

See also: printSheaf; rankSheaf.

User manual for Singular version 4.4.1, 2025, generated by texi2html.